<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAccountsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: accounts
         */
        Schema::create('accounts', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('website', 50)->nullable();
            $table->string('email', 50)->nullable();
            $table->integer('phone')->nullable();
            $table->integer('fax')->nullable();
            $table->string('billing_address', 200)->nullable();
            $table->string('billing_city', 50)->nullable();
            $table->string('billing_state', 50)->nullable();
            $table->string('billing_country', 50)->nullable();
            $table->integer('billing_zipcode')->nullable();
            $table->string('shipping_address', 200)->nullable();
            $table->string('shipping_city', 50)->nullable();
            $table->string('shipping_state', 50)->nullable();
            $table->string('shipping_country', 50)->nullable();
            $table->integer('shipping_zipcode')->nullable();
            $table->string('detail_type', 50)->nullable();
            $table->string('sic_no', 100)->nullable();
            $table->string('industry', 100)->nullable();
            $table->string('description', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('accounts');
    }
}
