Lavalite package that provides accounts management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/accounts`.

    "bixo/accounts": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Accounts\Providers\AccountsServiceProvider::class,

And also add it to alias

    'Accounts'  => Bixo\Accounts\Facades\Accounts::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\AccountsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Accounts\Providers\AccountsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Accounts\Providers\AccountsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Accounts\Providers\AccountsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/accounts/{modulename}

**User**

    http://path-to-route-folder/user/accounts/{modulename}

**Public**

    http://path-to-route-folder/accounts


### API endpoints

**List**

    http://path-to-route-folder/api/user/accounts/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/accounts/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/accounts/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/accounts/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/accounts/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/accounts/{modulename}/{slug}
    METHOD: GET