<?php

namespace Bixo\Accounts;

use User;

class Accounts
{
    /**
     * $accounts object.
     */
    protected $accounts;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Accounts\Interfaces\AccountsRepositoryInterface $accounts)
    {
        $this->accounts = $accounts;
    }

    /**
     * Returns count of accounts.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.accounts.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->accounts->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\AccountsUserCriteria());
        }

        $accounts = $this->accounts->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('accounts::' . $view, compact('accounts'))->render();
    }
}
