<?php

namespace Bixo\Accounts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AccountsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Accounts\Models\Accounts $accounts)
    {
        return [
            'id'                => $accounts->getRouteKey(),
            'key'               => [
                'public'    => $accounts->getPublicKey(),
                'route'     => $accounts->getRouteKey(),
            ], 
            'name'              => $accounts->name,
            'website'           => $accounts->website,
            'email'             => $accounts->email,
            'phone'             => $accounts->phone,
            'fax'               => $accounts->fax,
            'billing_address'   => $accounts->billing_address,
            'billing_city'      => $accounts->billing_city,
            'billing_state'     => $accounts->billing_state,
            'billing_country'   => $accounts->billing_country,
            'billing_zipcode'   => $accounts->billing_zipcode,
            'shipping_address'  => $accounts->shipping_address,
            'shipping_city'     => $accounts->shipping_city,
            'shipping_state'    => $accounts->shipping_state,
            'shipping_country'  => $accounts->shipping_country,
            'shipping_zipcode'  => $accounts->shipping_zipcode,
            'detail_type'       => $accounts->detail_type,
            'sic_no'            => $accounts->sic_no,
            'industry'          => $accounts->industry,
            'description'       => $accounts->description,
            'deleted_at'        => $accounts->deleted_at,
            'url'               => [
                'public'    => trans_url('accounts/'.$accounts->getPublicKey()),
                'user'      => guard_url('accounts/accounts/'.$accounts->getRouteKey()),
            ], 
            'status'            => trans('app.'.$accounts->status),
            'created_at'        => format_date($accounts->created_at),
            'updated_at'        => format_date($accounts->updated_at),
        ];
    }
}